### Function

# Gtk print_run_page_setup_dialog_async

#### Declaration [src]

    void
    gtk_print_run_page_setup_dialog_async (
      GtkWindow* parent,
      GtkPageSetup* page_setup,
      GtkPrintSettings* settings,
      GtkPageSetupDoneFunc done_cb,
      gpointer data
    )

#### Description [src]

Runs a page setup dialog, letting the user modify the values from `page_setup`.

In contrast to gtk_print_run_page_setup_dialog(), this function returns after showing the page setup dialog on platforms that support this, and calls `done_cb` from a signal handler for the ::response signal of the dialog.

#### Parameters

`parent`

  Type: `GtkWindow`

  Transient parent.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`page_setup`

  Type: `GtkPageSetup`

  An existing `GtkPageSetup`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`settings`

  Type: `GtkPrintSettings`

  A `GtkPrintSettings`

  The data is owned by the caller of the function.

`done_cb`

  Type: `GtkPageSetupDoneFunc`

  A function to call when the user saves the modified page setup.

`data`

  Type: `gpointer`

  User data to pass to `done_cb`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.